|  | Home | Documentation | saml2__NameIDType Struct Reference updated Wed Apr 5 2017 by Robert van Engelen |

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Members

Public Attributes | List of all members
saml2__NameIDType Struct Reference

"urn:oasis:names:tc:SAML:2.0:assertion":NameIDType is a complexType with simpleContent. More...

`#include <saml2.h>`

## Public Attributes
char * | __item
| __item wraps "xs:string" simpleContent. More...
char * | Format
| Attribute "Format" of XSD type xs:anyURI. More...
char * | SPProvidedID
| Attribute "SPProvidedID" of XSD type xs:string. More...
char * | NameQualifier
| Attribute "NameQualifier" of XSD type xs:string. More...
char * | SPNameQualifier
| Attribute "SPNameQualifier" of XSD type xs:string. More...

## Detailed Description

"urn:oasis:names:tc:SAML:2.0:assertion":NameIDType is a complexType with simpleContent.

struct saml2__NameIDType operations:

- soap_default_saml2__NameIDType(soap*, saml2__NameIDType*) reset members to default
- int soap_read_saml2__NameIDType(soap*, saml2__NameIDType*) deserialize from a source
- int soap_write_saml2__NameIDType(soap*, saml2__NameIDType*) serialize to a sink
- saml2__NameIDType* soap_dup_saml2__NameIDType(soap*, saml2__NameIDType* dst, saml2__NameIDType <em>src) returns deep copy of saml2__NameIDType src into dst, copies the (cyclic) graph structure when a context is provided, or (cycle-pruned) tree structure with soap_set_mode(soap, SOAP_XML_TREE) (use soapcpp2 -Ec)
- soap_del_saml2__NameIDType(saml2__NameIDType) deep deletes saml2__NameIDType data members, use only on dst after soap_dup_saml2__NameIDType(NULL, saml2__NameIDType *dst, saml2__NameIDType *src) (use soapcpp2 -Ed)

## Member Data Documentation

char* saml2__NameIDType::__item

__item wraps "xs:string" simpleContent.

char* saml2__NameIDType::Format

Attribute "Format" of XSD type xs:anyURI.

Optional attribute.

char* saml2__NameIDType::NameQualifier

Attribute "NameQualifier" of XSD type xs:string.

Optional attribute.

char* saml2__NameIDType::SPNameQualifier

Attribute "SPNameQualifier" of XSD type xs:string.

Optional attribute.

char* saml2__NameIDType::SPProvidedID

Attribute "SPProvidedID" of XSD type xs:string.

Optional attribute.

The documentation for this struct was generated from the following file:

- saml2.h